#ifndef ENGINE_H
#define ENGINE_H
#include <afxtempl.h>
#include "stdafx.h"
#include "block.h"
#include <fstream.h>
#include "command.h"
typedef float vec3_t[3];
#define MAX_ENTITIES 450
class EntPos
{
public:
	float time;
	vec3_t origin;
	EntPos()
	{
	}
	EntPos(float t,float* coord)
	{
		time = t;
		origin[0] = coord[0];
		origin[1] = coord[1];
		origin[2] = coord[2];
	}
};
extern BOOL refilming;
extern int Entity;
extern float scale;
extern float qdqscale;
extern vec3_t cam_pos;

#define PLAYER 1

typedef CList<EntPos,EntPos> EntPosList;
typedef unsigned char byte;
extern EntPosList positions[MAX_ENTITIES];
extern vec3_t camera;
extern float cur_time;
extern float inter_time;
extern char buffer[0x800];
extern BOOL refilming;
extern BOOL interest[450];
extern BOOL finished;
extern BOOL debug;
extern BOOL ReadModels;


extern CmdList roll;
extern CmdList palette;
extern CmdList target;
extern CmdList movement;
extern CmdList misc;

extern char level[30];
extern char* sounds [256];
extern char* models [256];
extern int sound_num;
extern int model_num;
//istream& operator>> (istream& input,CString str);
void Process(CBlock& src,CBlock& dst);
#endif