// Block.h: interface for the CBlock class.
//
//////////////////////////////////////////////////////////////////////
#include <fstream.h>

#if !defined(AFX_BLOCK_H__446D2601_4BEA_11D2_9D07_0000C07ADCE7__INCLUDED_)
#define AFX_BLOCK_H__446D2601_4BEA_11D2_9D07_0000C07ADCE7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

typedef unsigned char byte;
class CBlock  
{
public:
	void SetBlockTime(float Time);
	float* m_pTime;
	float GetBlockTime();
	void Reset();
	void PutByte(byte c);
	void PutShort(short c);
	void PutLong(long c);
	void PutFloat(float c);
	void PutString();

	byte  GetByte();
	short GetShort();
	long  GetLong();
	float GetFloat();
	void  GetString();

	void CopyVec3_t(CBlock src);

	void Write (ofstream output);
	void Read(ifstream input);
	long m_size;
	char* m_buffptr;
	char m_buffer[5000];
	CBlock();
	virtual ~CBlock();
};

#endif // !defined(AFX_BLOCK_H__446D2601_4BEA_11D2_9D07_0000C07ADCE7__INCLUDED_)
